VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo Struct Reference

`#include <vulkan.hpp>`

Collaboration diagram for VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo:
[legend]

## Public Member Functions

| ShaderModuleCreateInfo (ShaderModuleCreateFlags flags_=ShaderModuleCreateFlags(), size_t codeSize_=0, const uint32_t *pCode_=nullptr)
| ShaderModuleCreateInfo (VkShaderModuleCreateInfo const &rhs)
ShaderModuleCreateInfo & | operator= (VkShaderModuleCreateInfo const &rhs)
ShaderModuleCreateInfo & | setPNext (const void *pNext_)
ShaderModuleCreateInfo & | setFlags (ShaderModuleCreateFlags flags_)
ShaderModuleCreateInfo & | setCodeSize (size_t codeSize_)
ShaderModuleCreateInfo & | setPCode (const uint32_t *pCode_)
| operator VkShaderModuleCreateInfo const & () const
| operator VkShaderModuleCreateInfo & ()
bool | operator== (ShaderModuleCreateInfo const &rhs) const
bool | operator!= (ShaderModuleCreateInfo const &rhs) const

## Data Fields

const void * | pNext = nullptr
ShaderModuleCreateFlags | flags
size_t | codeSize
const uint32_t * | pCode

## Private Attributes

StructureType | sType = StructureType::eShaderModuleCreateInfo

## Detailed Description

Definition at line 10210 of file vulkan.hpp.

## Constructor & Destructor Documentation

## ShaderModuleCreateInfo() [1/2]

VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::ShaderModuleCreateInfo | ( | ShaderModuleCreateFlags | flags_ = `ShaderModuleCreateFlags()`,
|  | size_t | codeSize_ = `0`,
|  | const uint32_t * | pCode_ = `nullptr`
| ) |  |

inline

Definition at line 10212 of file vulkan.hpp.

: flags( flags_ )
, codeSize( codeSize_ )
, pCode( pCode_ )
{
}

## ShaderModuleCreateInfo() [2/2]

VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::ShaderModuleCreateInfo | ( | VkShaderModuleCreateInfo const & | rhs | ) |

inline

Definition at line 10221 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ShaderModuleCreateInfo ) );
}

References memcpy.

## Member Function Documentation

## operator VkShaderModuleCreateInfo &()

VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::operator VkShaderModuleCreateInfo & | ( |  | ) |

inline

Definition at line 10260 of file vulkan.hpp.

{
return *reinterpret_cast<VkShaderModuleCreateInfo*>(this);
}

## operator VkShaderModuleCreateInfo const &()

VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::operator VkShaderModuleCreateInfo const & | ( |  | ) | const

inline

Definition at line 10255 of file vulkan.hpp.

{
return *reinterpret_cast<const VkShaderModuleCreateInfo*>(this);
}

## operator!=()

bool VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::operator!= | ( | ShaderModuleCreateInfo const & | rhs | ) | const

inline

Definition at line 10274 of file vulkan.hpp.

{
return !operator==( rhs );
}

References operator==().

## operator=()

ShaderModuleCreateInfo& VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::operator= | ( | VkShaderModuleCreateInfo const & | rhs | ) |

inline

Definition at line 10226 of file vulkan.hpp.

{
memcpy( this, &rhs, sizeof( ShaderModuleCreateInfo ) );
return *this;
}

References memcpy.

## operator==()

bool VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::operator== | ( | ShaderModuleCreateInfo const & | rhs | ) | const

inline

Definition at line 10265 of file vulkan.hpp.

{
return ( sType == rhs.sType )
&& ( pNext == rhs.pNext )
&& ( flags == rhs.flags )
&& ( codeSize == rhs.codeSize )
&& ( pCode == rhs.pCode );
}

References codeSize, flags, pCode, pNext, and sType.

Referenced by operator!=().

## setCodeSize()

ShaderModuleCreateInfo& VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::setCodeSize | ( | size_t | codeSize_ | ) |

inline

Definition at line 10243 of file vulkan.hpp.

{
codeSize = codeSize_;
return *this;
}

References codeSize.

## setFlags()

ShaderModuleCreateInfo& VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::setFlags | ( | ShaderModuleCreateFlags | flags_ | ) |

inline

Definition at line 10237 of file vulkan.hpp.

{
flags = flags_;
return *this;
}

## setPCode()

ShaderModuleCreateInfo& VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::setPCode | ( | const uint32_t * | pCode_ | ) |

inline

Definition at line 10249 of file vulkan.hpp.

{
pCode = pCode_;
return *this;
}

References pCode.

## setPNext()

ShaderModuleCreateInfo& VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::setPNext | ( | const void * | pNext_ | ) |

inline

Definition at line 10231 of file vulkan.hpp.

{
pNext = pNext_;
return *this;
}

References pNext.

## Field Documentation

## codeSize

size_t VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::codeSize

Definition at line 10285 of file vulkan.hpp.

Referenced by operator==(), and setCodeSize().

## flags

ShaderModuleCreateFlags VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::flags

Definition at line 10284 of file vulkan.hpp.

Referenced by operator==().

## pCode

const uint32_t* VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::pCode

Definition at line 10286 of file vulkan.hpp.

Referenced by operator==(), and setPCode().

## pNext

const void* VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::pNext = nullptr

Definition at line 10283 of file vulkan.hpp.

Referenced by operator==(), and setPNext().

## sType

StructureType VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::sType = StructureType::eShaderModuleCreateInfo

private

Definition at line 10280 of file vulkan.hpp.

Referenced by operator==().

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.hpp

VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::operator==
bool operator==(ShaderModuleCreateInfo const &rhs) const
Definition: vulkan.hpp:10265
VkShaderModuleCreateInfo
Definition: vulkan_core.h:2268
VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::pNext
const void * pNext
Definition: vulkan.hpp:10283
VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::sType
StructureType sType
Definition: vulkan.hpp:10280
memcpy
#define memcpy
Definition: SDL_malloc.c:630
VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::ShaderModuleCreateInfo
ShaderModuleCreateInfo(ShaderModuleCreateFlags flags_=ShaderModuleCreateFlags(), size_t codeSize_=0, const uint32_t *pCode_=nullptr)
Definition: vulkan.hpp:10212
VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::codeSize
size_t codeSize
Definition: vulkan.hpp:10285
VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::pCode
const uint32_t * pCode
Definition: vulkan.hpp:10286
VULKAN_HPP_NAMESPACE::ShaderModuleCreateInfo::flags
ShaderModuleCreateFlags flags
Definition: vulkan.hpp:10284
flags
GLbitfield flags
Definition: SDL_opengl_glext.h:1480